#
# spec file for package cvs (Version 1.11.1p1)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  tcsh
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam perl rpm tcsh

Name:         cvs
License:      GPL, LGPL
Group:        Development/Tools/Version Control
Autoreqprov:  on
Version:      1.11.1p1
Release:      332
Summary:      Concurrent Versions System
Source:       cvs-1.11.1p1.tar.bz2
Source1:      cvslock-0.1.tar.bz2
Patch:        cvs-1.11.1p1.dif
Patch2:       diff-k.possible.patch
Patch3:       cvs-1.11.1p1-zlib-zfree.dif
Patch4:       double-free-fix.dif
Patch5:       disable-update-prog.dif
Patch6:       patch-sec-modules.diff
Patch8:       fix-format-string.diff
Patch9:       03cvs-client-exploit-fix.diff
Patch10:      cvs-1.12.7-exploit-fix
Patch11:      cvs-krahmer-esser-1.11.x.diff

%description
CVS is a frontend to the Revision Control System which is
included in the standard Linux distribution.
pcl-cvs, an Emacs frontend to CVS, is also included.

Authors:
--------
    Brian Berliner <berliner@sun.com>
    Jeff Polk <polk@bsdi.com>

%prep
%setup -a 1
%patch
%patch2
%patch3
%patch4
%patch5
%patch6
%patch8
%patch9
%patch10
%patch11

%build
aclocal
autoheader
automake -a
autoconf
./configure --prefix=/usr --infodir=%{_infodir} --mandir=%{_mandir}
(cd cvslock-0.1 && ./configure --prefix=/usr --mandir=%{_mandir})
make CFLAGS="-Wall $RPM_OPT_FLAGS -pipe" LDFLAGS=-s
(cd cvslock-0.1 && make CFLAGS="-Wall $RPM_OPT_FLAGS -pipe" LDFLAGS=-s)

%install
make install install-info
(cd cvslock-0.1 && make install)
# hack to avoid csh in requires
chmod 644 /usr/share/cvs/contrib/sccs2rcs

%files
%dir /usr/share/cvs
%dir /usr/share/cvs/contrib
/usr/bin/cvs
/usr/bin/cvsbug
/usr/bin/rcs2log
/usr/bin/cvslock
%doc %{_infodir}/cvs.info-?.gz
%doc %{_infodir}/cvs.info.gz
%doc %{_infodir}/cvsclient.info-?.gz
%doc %{_infodir}/cvsclient.info.gz
/usr/share/cvs/contrib/cvs_acls
/usr/share/cvs/contrib/commit_prep
/usr/share/cvs/contrib/log
/usr/share/cvs/contrib/intro.doc
/usr/share/cvs/contrib/clmerge
/usr/share/cvs/contrib/log_accum
/usr/share/cvs/contrib/rcs2log
%attr(755,root,root) /usr/share/cvs/contrib/sccs2rcs
/usr/share/cvs/contrib/cvscheck
/usr/share/cvs/contrib/mfpipe
/usr/share/cvs/contrib/rcs-to-cvs
/usr/share/cvs/contrib/cvs2vendor
/usr/share/cvs/contrib/cln_hist
/usr/share/cvs/contrib/rcslock
/usr/share/cvs/contrib/README
/usr/share/cvs/contrib/debug_check_log
%doc %{_mandir}/man1/cvs.1.gz
%doc %{_mandir}/man1/cvslock.1.gz
%doc %{_mandir}/man5/cvs.5.gz
%doc %{_mandir}/man8/cvsbug.8.gz

%changelog -n cvs
* Fri Jun 04 2004 - adrian@suse.de
- update last patch to fix WinCVS support (20040521 version)
- new krahmer+esser security fix for (#39773)
  * error_prog_name "double-free()" (SE)
  CAN-2004-0416
  * argument integer overflow (SK)
  CAN-2004-0417
  * serve_notify() out of bound writes (SK)
  CAN-2004-0418
* Mon May 03 2004 - adrian@suse.de
- expoit-fix for malformed Entry lines. This can be exploited via
  a buffer overflow (#39773)
* Wed Apr 07 2004 - adrian@suse.de
- fix pserver client side leak (#36659)
* Thu Jan 08 2004 - adrian@suse.de
- fix format string vulnerability (#33851)
* Fri Dec 19 2003 - thomas@suse.de
- added security patch for modules path (#33631)
* Tue Jan 21 2003 - fehr@suse.de
- disable the features Checkin-prog/Update-prog in cvs server
  decision was made by SuSE security team (security@suse.de)
* Thu Jan 16 2003 - fehr@suse.de
- add a patch that fixes a possible double free in cvs server
* Sat Feb 23 2002 - kukuk@suse.de
- Don't require tcsh [Bug #13424]
* Fri Feb 08 2002 - draht@suse.de
- added patch cvs-1.11.1p1-zlib-zfree.dif against duplicate calls
  of free() in zlib
* Fri Dec 14 2001 - fehr@suse.de
- update to new version 1.11.1p1
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Mon Mar 19 2001 - fehr@suse.de
- add diff-k.possible.patch which fixes problem when using
  cvs diff -k.. (#6653)
* Fri Feb 09 2001 - schwab@suse.de
- Ignore $HOME when running as server (#6293).
* Tue Jan 16 2001 - werner@suse.de
- Make last security patch smarter: Ignore not existing temp files
* Wed Jan 10 2001 - werner@suse.de
- Add temp file patch of Olaf Kirch
* Mon Sep 25 2000 - fehr@suse.de
- changed to new version 1.11
* Fri Aug 25 2000 - fehr@suse.de
- changed to new version 1.10.8
* Tue Jul 11 2000 - fehr@suse.de
- add tcsh to needforbuild to fix a csh-dependet script
* Mon Mar 13 2000 - ro@suse.de
- fixed possible segfault
* Fri Feb 25 2000 - kukuk@suse.de
- Move /usr/{info,man} -> /usr/share/{info,man}
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Sep 03 1999 - fehr@suse.de
- changed to version 1.10.7
* Fri Aug 27 1999 - fehr@suse.de
- added cvslock package
* Tue Jul 20 1999 - florian@suse.de
- update to 1.10.6, add server patch
* Fri Feb 19 1999 - uli@suse.de
- update 1.9.28 -> 1.10.5
- eliminated Makefile.Linux
* Thu Jul 23 1998 - werner@suse.de
- use mktemp
* Thu Jul 16 1998 - florian@suse.de
- update to version 1.9.28
* Wed Jul 15 1998 - werner@suse.de
- Fix possible exploit of rcs2log.sh
* Mon Mar 02 1998 - florian@suse.de
- update to version 1.9.24
* Fri Oct 10 1997 - florian@suse.de
- update to version 1.9.16
* Wed Apr 30 1997 - florian@suse.de
- update to version 1.9.8
* Sun Apr 13 1997 - florian@suse.de
- update to new version 1.9.2
